Product comparison · 2 ip phones

Yealink MP58 E2 Teams vs Yealink SIP T42U

Add a product
  • 28specifications compared
  • 11differ
  • 17identical
  • 43known for one product only

Key differences

The Yealink MP58 E2 Teams has 47 mm more width than the Yealink SIP T42U (259 mm vs 212 mm). The Yealink MP58 E2 Teams has 7 mm more depth than the Yealink SIP T42U (196 mm vs 189 mm). The Yealink SIP T42U has 11 mm more height than the Yealink MP58 E2 Teams (175 mm vs 164 mm). Handset type: Wired handset on the Yealink MP58 E2 Teams, Wireless handset on the Yealink SIP T42U. Display diagonal: 17.8 cm (7") on the Yealink MP58 E2 Teams, 6.86 cm (2.7") on the Yealink SIP T42U.

  • Handset type
    • MP58 E2 Teams:Wired handset
    • SIP T42U:Wireless handset
  • Display diagonal
    • MP58 E2 Teams:17.8 cm (7")
    • SIP T42U:6.86 cm (2.7")
  • Display resolution
    • MP58 E2 Teams:1024 x 600 pixels
    • SIP T42U:192 x 68 pixels
  • Width
    • MP58 E2 Teams:259 mm
    • SIP T42U:212 mm
  • Depth
    • MP58 E2 Teams:196 mm
    • SIP T42U:189 mm
  • Height
    • MP58 E2 Teams:164 mm
    • SIP T42U:175 mm
  • Package width
    • MP58 E2 Teams:680 mm
    • SIP T42U:627 mm
  • Package depth
    • MP58 E2 Teams:303 mm
    • SIP T42U:256 mm

Side by side

Differences highlightedShow differences only (off)
Comparison of MP58 E2 Teams, SIP T42U
71 specifications
Design1 differ
Product typeIP PhoneIP Phone
Handset typeDiffersWired handsetWireless handset
Product colourGreyGrey
Device lockKnown for oneUnknown — not stated by the sourceYes
MountingKnown for oneUnknown — not stated by the sourceDesk/Wall
Wall mountableKnown for oneUnknown — not stated by the sourceYes
Phone featuresidentical
Anonymous callKnown for oneUnknown — not stated by the sourceYes
Anonymous call rejectionKnown for oneUnknown — not stated by the sourceYes
Call forwardingYesYes
Call historyKnown for oneUnknown — not stated by the sourceYes
Call holdYesYes
Call parkKnown for oneUnknown — not stated by the sourceYes
Call pick upKnown for oneUnknown — not stated by the sourceYes
Call transferKnown for oneUnknown — not stated by the sourceYes
Call waitingYesYes
Caller IDYesYes
Conference callKnown for oneUnknown — not stated by the sourceYes
Direct callKnown for oneUnknown — not stated by the sourceYes
Distinctive ringKnown for oneUnknown — not stated by the sourceYes
Do not disturb functionKnown for oneUnknown — not stated by the sourceYes
Full duplexKnown for oneUnknown — not stated by the sourceYes
Number of VoIP accountsKnown for oneUnknown — not stated by the source12
Phonebook capacityKnown for oneUnknown — not stated by the source1000 entries
RedialingYesYes
Speed diallingKnown for oneUnknown — not stated by the sourceYes
Management featuresidentical
Integrated voicemailKnown for oneUnknown — not stated by the sourceNo
Number of function keysKnown for oneUnknown — not stated by the source5
Number of programmable keysKnown for oneUnknown — not stated by the source6
Display2 differ
DisplayLCDLCD
Display diagonalDiffers17.8 cm (7")6.86 cm (2.7")
Display resolutionDiffers1024 x 600 pixels192 x 68 pixels
TouchscreenKnown for oneYesUnknown — not stated by the source
Touchscreen typeKnown for oneCapacitiveUnknown — not stated by the source
Number of simultaneous touchpointsKnown for one5Unknown — not stated by the source
Cameraidentical
Rear cameraKnown for oneUnknown — not stated by the sourceYes
Network1 differ
Ethernet LANYesYes
Ethernet LAN interface typeGigabit EthernetGigabit Ethernet
Wi-FiYesYes
BluetoothYesYes
Networking standardsDiffersIEEE 802.3afIEEE 802.11a, IEEE 802.11b, IEEE 802.11g, IEEE 802.11n, IEEE 802.1x, IEEE 802.3af
Quality of Service (QoS) supportKnown for oneUnknown — not stated by the sourceYes
Security algorithmsKnown for oneUnknown — not stated by the source256-bit AES, HTTPS, TLS, WPA2, WPA3
Supported network protocolsKnown for oneUnknown — not stated by the sourceIPv4/IPv6, SIP v1 (RFC2543), v2 (RFC3261), UDP/TCP/DNS-SRV (RFC 3263)
Ethernet LAN data ratesKnown for one1000 Mbit/sUnknown — not stated by the source
Ports & interfacesidentical
USB 2.0 ports quantity22
Ethernet LAN (RJ-45) ports22
RJ-9 ports quantity22
USB Type-C ports quantityKnown for one1Unknown — not stated by the source
DC-in jackKnown for oneYesUnknown — not stated by the source
Poweridentical
Power consumption (typical)Known for oneUnknown — not stated by the source2.2 W
Power over Ethernet (PoE)Known for oneYesUnknown — not stated by the source
AC adapter input voltageKnown for one100 - 240 VUnknown — not stated by the source
AC adapter output voltageKnown for one12 VUnknown — not stated by the source
AC adapter output currentKnown for one1 AUnknown — not stated by the source
USB output currentKnown for one0.5 AUnknown — not stated by the source
Operational conditionsidentical
Operating relative humidity (H-H)10 - 95%10 - 95%
Operating temperature (T-T)-10 - 50 °C-10 - 50 °C
Weight & dimensions7 differ
WidthDiffers259 mm212 mm
DepthDiffers196 mm189 mm
HeightDiffers164 mm175 mm
Package widthDiffers680 mm627 mm
Package depthDiffers303 mm256 mm
Package heightDiffers342 mm235 mm
Package weightDiffers9.1 kg63 kg
Packaging contentidentical
AC adapter includedKnown for oneUnknown — not stated by the sourceNo
Number of handles includedKnown for oneUnknown — not stated by the source1 pc(s)
Cables includedKnown for oneLAN (RJ-45)Unknown — not stated by the source
Headset includedKnown for oneYesUnknown — not stated by the source
Audioidentical
SpeakerphoneKnown for oneYesUnknown — not stated by the source
Microphone muteKnown for oneYesUnknown — not stated by the source
Voice codecsKnown for oneAEC, AGC, AJB, CNG, G.711alaw, G.711ulaw, G.722, G.723.1, G.726, G.729A, G.729B, PLC, Silk, VADUnknown — not stated by the source

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More ip phone comparisons

All ip phone comparisons